angular.module('focaModalFormaPago')
    .controller('focaModalFormaPagoController', [
        '$timeout', '$filter', '$scope', '$uibModalInstance', 'focaModalFormaPagoService',
        function ($timeout, $filter, $scope, $uibModalInstance, focaModalFormaPagoService) {

            //#region Variables
            $scope.botonesTarjetas = [];
            $scope.showForm = false;

            //#endregion

            init();

            function init() {
                $scope.botonesTarjetas = focaModalFormaPagoService.getBotonera();
            }

            $scope.seleccionarTarjeta = function () {
                animateForm();
            };

            $scope.cancel = function () {
                $uibModalInstance.dismiss('cancel');
            };

            $scope.select = function (iva) {
                $uibModalInstance.close(iva);
            };

            function animateForm() {
                $scope.showForm = false;
                $timeout(function () {
                    $scope.showForm = true;
                }, 100);
            }
        }]
    );
